be.fgov.ehealth.etkdepot._1_0.protocol

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.etkdepot._1_0.protocol.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.etkdepot._1_0.protocol package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.etkdepot._1_0.protocol

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ErrorType` | `createErrorType()` Create an instance of `ErrorType`
    `JAXBElement<byte[]>` | `createETK(byte[] value)` Create an instance of `JAXBElement``<``byte[]``>`
    `GetEtkRequest` | `createGetEtkRequest()` Create an instance of `GetEtkRequest`
    `GetEtkResponse` | `createGetEtkResponse()` Create an instance of `GetEtkResponse`
    `IdentifierType` | `createIdentifierType()` Create an instance of `IdentifierType`
    `MatchingEtk` | `createMatchingEtk()` Create an instance of `MatchingEtk`
    `SearchCriteriaType` | `createSearchCriteriaType()` Create an instance of `SearchCriteriaType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.etkdepot._1_0.protocol

  - ### Method Detail

    - #### createGetEtkRequest

          public GetEtkRequest createGetEtkRequest()

      Create an instance of `GetEtkRequest`

    - #### createSearchCriteriaType

          public SearchCriteriaType createSearchCriteriaType()

      Create an instance of `SearchCriteriaType`

    - #### createGetEtkResponse

          public GetEtkResponse createGetEtkResponse()

      Create an instance of `GetEtkResponse`

    - #### createErrorType

          public ErrorType createErrorType()

      Create an instance of `ErrorType`

    - #### createMatchingEtk

          public MatchingEtk createMatchingEtk()

      Create an instance of `MatchingEtk`

    - #### createIdentifierType

          public IdentifierType createIdentifierType()

      Create an instance of `IdentifierType`

    - #### createETK

          public JAXBElement<byte[]> createETK(byte[] value)

      Create an instance of `JAXBElement``<``byte[]``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``byte[]``>`

Connector Packaging PERSLOGOPEDIST 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.